Un utente ha chiesto
Categoria: WordPress spell & grammar check plugin | WProofreader di WordPress
Domanda: Funziona a Gutenberg !! Il controllo ortografico e i suggerimenti sugli errori sono fantastici

Questa è la terza volta che modifico questa recensione. Il mio primo è stato negativo, 2 stelle. Ho scritto che non funzionava affatto in Gutenberg ed era inutile se dovevo fare clic su ciascun blocco per trovare suggerimenti di errore.

Lo sviluppatore ha risposto immediatamente e mi ha detto di dare loro la possibilità di lavorare su questo problema. L’hanno fatto ! E ora posso dire con assoluta certezza che questo è il primo e unico plugin in questo momento che ha la grammatica che controlla TUTTI i blocchi di Gutenberg sullo schermo senza dover fare clic su ognuno di essi.

Sono un utente Grammarly Premium a pagamento e dopo due anni non sono stati in grado di realizzarlo. Sono impressionato. Quindi, complimenti alla squadra e alla rapida risposta al problema.

Finora ho usato solo il plugin gratuito di base, quindi non ho ancora accesso a tutte le funzionalità. Ma posso già dire che questo è un ottimo prodotto e fa quello che fa bene.

Vorrei che realizzassero un’estensione per Chrome perché il plug-in funziona così bene in WordPress, quindi sarebbe bello averlo nel browser per tutti i siti (altri blog, social network ecc.), Ma non è colpa del plug-in. È un Plugin WordPress, Dopotutto! Ma spero che ci penseranno in futuro.

La loro versione pro ha un prezzo molto ragionevole ma non l’ho ancora usata.

La versione gratuita è, tuttavia, eccellente per il controllo ortografico e per suggerire altri problemi grammaticali minori. Ti consente persino di aggiungere facilmente parole al dizionario. Sono stato anche colpito quando ho aggiunto di proposito lettere alle parole e il plugin è stato in grado di capire cosa dovevano essere le parole.

Il team di supporto è reattivo, il plugin è fantastico e lo consiglio vivamente.

  • Autore del plugin

    (@webspellchecker)

    Ciao @paulcola,

    Grazie per aver provato il plugin WProofreader per WordPress e questo feedback. Ci auguriamo che riconsidererai la tua valutazione a due stelle dopo il nostro feedback.

    Prima di tutto, vorremmo sottolineare che l’identificazione del doppio spazio è coperta dal controllo grammaticale, disponibile nella nostra versione Pro del plugin, mentre la versione gratuita è distribuita solo con la funzionalità di controllo ortografico. Puoi iscriverti alla versione di prova di 14 giorni sul nostro sito Web per vedere tutti i vantaggi della versione Pro: https://webspellchecker.com/free-trial/.

    Quando si tratta di Gutenberg, comprendiamo perfettamente che può essere noioso fare clic su ogni blocco di Gutenberg per correggere il testo. Ma ciò è dovuto alle limitazioni tecniche del lavoro con questo editor. Abbiamo anche provato a contattare il team di Gutenberg per chiedere loro di riconsiderare tale flusso, ma senza modifiche per un anno: https://github.com/WordPress/gutenberg/issues/13620.

    Oggi abbiamo ricontrollato il lavoro di diversi altri strumenti di correzione di bozze (Grammarly, LanguageTool) per capire se qualcuno ha trovato un modo per superare il caso con i blocchi di Gutenberg, ma non è riuscito a trovare tale soluzione.

    Tuttavia, tenendo conto del tuo feedback, abbiamo concordato con il team alcuni piccoli miglioramenti per lavorare con Gutenberg. Dopo le modifiche, il plugin WProofreader si avvierà automaticamente su tutti i blocchi delle pagine in cui è identificato l’editor Gutenberg. Ciò significa che non sarà necessario fare clic sul blocco di ciascun editor per correggere la parte specifica del testo. Prevediamo che questi miglioramenti verranno rilasciati la prossima settimana e ti scriveremo non appena verranno introdotti.

    (@paulcola)

    Adoro il fatto che sei disposto a dedicare tempo e sforzi per migliorare il tuo design. In attesa di cambiamenti. Ho aggiornato la mia recensione!

    Autore del plugin

    (@webspellchecker)

    Ciao @paulcola,

    Siamo lieti di informarti che abbiamo appena rilasciato un nuovo plugin WProofreader versione 2.6 per WordPress, che include miglioramenti all’integrazione con l’editor Gutenberg. Ora WProofreader si avvierà automaticamente in tutti gli elementi modificabili dell’editor senza la necessità di fare clic su ciascun elemento per attivare il controllo ortografico/grammaticale.

    Il badge arancione è disabilitato per impostazione predefinita per tutti i tipi di elementi, incluso l’editor Gutenberg. Inoltre, è sempre presente un’impostazione che consente di riattivare il badge dalla pagina delle impostazioni del plug-in, se necessario.

    Per applicare le modifiche, aggiorna il plug-in WProofreader all’ultima versione.

    Inoltre, stiamo pianificando ulteriori miglioramenti per quanto riguarda il lavoro del plugin con l’editor Gutenberg. Puoi monitorare le modifiche utilizzando le nostre note di rilascio.

    Non vediamo l’ora di sentire i tuoi commenti aggiuntivi sugli ultimi aggiornamenti e se la valutazione viene rivista ancora una volta.

    (@paulcola)

    Sono stato felice di leggere questo aggiornamento. Ho reinstallato il plug-in, l’ho attivato e non c’era alcun suggerimento del plug-in sul mio post sul blog. Mi sono disconnesso e ho effettuato di nuovo l’accesso al mio blog e mi sono assicurato che nessun altro correttore grammaticale fosse abilitato, ma sembra che il plug-in non funzioni affatto.

    Idee?

    Grazie,
    Paolo

    Autore del plugin

    (@webspellchecker)

    Caro Paul,

    La nostra prima ipotesi è che non ci siano errori di ortografia nei post del tuo blog, quindi non viene evidenziato nulla. Inoltre, non è presente alcun badge arancione sulla pagina poiché ora è disabilitato per impostazione predefinita. Tutto ciò può dare l’impressione che il plugin non funzioni affatto.

    Per verificarlo, puoi attivare il badge tramite il pannello di amministrazione e anche commettere errori di ortografia nei tuoi post per verificare che il plug-in funzioni.

    Se il problema persiste con il plug-in, dovremo richiedere ulteriori informazioni per riprodurre il caso. Si prega di fornire quante più informazioni possibili.

    I dettagli tecnici possono essere inviati a .

    1) Versione WordPress;
    2) L’elenco dei plugin che utilizzi;
    3) Versione PHP;
    4) Stai utilizzando un server web HTTP Nginx o Apache?
    5) Inoltre, potresti inviare i dettagli degli errori che sono comparsi dopo l’aggiornamento del plugin? Questi errori possono essere memorizzati nei file di registro dell’hosting.

    (@paulcola)

    Grazie per la risposta.

    1. Sto usando la versione 5.5.1 di WordPress
    2. Plugin attualmente installati e attivati:

    10to8 prenotazione appuntamento online
    Annunci avanzati
    Annunci avanzati Pro
    Annunci avanzati – Annunci di monitoraggio
    Collasso-O-Matic
    Shortcode di colonna
    Visualizzazione condizionale dell’immagine in primo piano su singole pagine e articoli
    Visualizzazioni del contenuto
    Dischi per WordPress
    Genesi 404
    Semplici modifiche di Genesis
    Ganci Singoli Genesis
    mappa termica per WordPress
    Inserisci intestazioni e piè di pagina
    Widget di origine del sito Livemesh
    MaxButtons
    MyBookTable Bookstore di Media Author
    MyBookTable Developer Upgrade 2.0 (non attivo)
    Forme ninja
    Generatore di pagine di SiteOrigin
    Verifica compatibilità PHP
    Reindirizzamento
    Cerca Escludi
    Semplice stampa per podcast
    Set di widget SiteOrigin
    Analisi Slimstat
    Smush
    Mancanza di follow-up finale
    Disattivare
    UpdraftPlus – Backup/Ripristino
    Cache totale W3
    Sicurezza del recinto di parole
    WReviewer
    Yoast SEO

    Quando ho disabilitato tutti i plugin tranne WProofreader, non funzionava ancora.

    3. La versione PHP è 7.3.6

    4. Apache

    5. Non c’era alcun errore nel file error_log che è apparso dopo l’aggiornamento del plugin. Tuttavia, quando apro le impostazioni di WProofreader, c’è un messaggio in rosso che dice:
    “Ops! Qualcosa è andato storto. Apri la console del browser per i dettagli. Per assistenza tecnica, contattaci all’indirizzo [email protected]

    Ho disinstallato e reinstallato il plugin, nessuna modifica.

    Ho attivato il badge, nessun cambiamento. Il plugin non vede alcun errore (so che ci sono errori, errori di ortografia, ecc.).

    Si prega di notare che il plugin funzionava prima di questo aggiornamento, ora non è più il caso.

    Fammi sapere se hai bisogno di un video. Posso registrare lo schermo e mostrarti quello che vedo.

    Grazie!
    Paolo

    Autore del plugin

    (@webspellchecker)

    Caro Paul,

    Grazie per i dettagli tecnici forniti. Il nostro team ha discusso del tuo caso e vorrebbe chiederti di verificare altre due cose:

    1) fa il? Chiave di licenza campo nel pannello di amministrazione del plugin è vuoto (senza alcun simbolo o spazio)? Il problema di errore segnalato potrebbe essere visualizzato se viene utilizzata la chiave di attivazione non valida.
    2) Invia screenshot di richiesta/risposta non riuscita (intestazione e informazioni sulla risposta) dalla scheda di rete (* ssrv.cgi) all’indirizzo [email protected]

    Grazie in anticipo,

    (@paulcola)

    Riprova oggi. Il plugin ha ripreso a funzionare di punto in bianco. Mi ha mostrato errori di ortografia per i primi due blocchi di Gutenberg, ma devo fare clic su ciascuno per vedere di nuovo gli altri. Farò altre prove tra un momento.

    (@paulcola)

    Plugin aggiornato e ogni blocco Gutenberg ora viene controllato automaticamente invece di dover fare clic su ciascun blocco per verificarlo. Ho aggiornato la mia recensione!

    Autore del plugin

    (@webspellchecker)

    Ciao @paulcola,

    Grazie mille per essere stati con noi e averci aiutato a essere migliori. Apprezziamo tutto il tuo tempo e impegno.

    C’è una piccola nota che vorrei fare e chiarire. È legato al prezzo del plugin. In effetti, il prezzo per la versione completa del plugin WP è di $ 49 all’anno (o circa $ 4 / m). Il prezzo che hai visto sul nostro sito web è per l’altro componente e l’integrazione di WProofreader.

    Ci scusiamo per qualsiasi confusione. Spero che questo risponda ai tuoi problemi di prezzo.

    A proposito, molto presto rilasceremo un motore di riproduzione avanzato basato sull’intelligenza artificiale. Sarà disponibile nella versione Pro.

    (@paulcola)

    Cambia completamente la mia opinione. Aggiornare! Grazie per aver accettato recensioni oneste e per aver fatto di tutto per migliorare il prodotto invece di ferirmi e dirmi di fare un’escursione.

    Non vedo l’ora di provare il Pro nella prova gratuita.

    Grazie per la tua comunicazione e il duro lavoro. Divertirsi!

    Autore del plugin

    (@webspellchecker)

    Caro Paul,

    È un piacere avere utenti come te. Siamo molto grati per i tuoi commenti onesti e ragionevoli. Ancora di più per averci dato la possibilità di risolvere i problemi e rendere il plug-in più utilizzabile.

    Ti faremo sicuramente sapere non appena sarà disponibile una versione Pro migliore.

    A proposito, l’estensione del browser sarà disponibile anche per i singoli utenti.

    Saluti,

    (@paulcola)

    Eccellente! La tua tabella di marcia sembra estremamente promettente. Grazie ancora per tutti i tuoi sforzi. Apprezzo le tue parole. ??

Hai risolto il tuo problema?

0 / 0

Lascia un commento 0

Il tuo indirizzo email non sarà pubblicato. Required fields are marked *